package com.iflytek.cloud;

import com.iflytek.cloud.msc.util.log.DebugLog;

/**
 * <h3>转写结果类</h3>
 * <script>gShowExtraTranscripter();</script>
 * <p>
 * 		转写结果支持json和xml格式字符串，各键值如下：
*<br>st：表示一个句子；
*<br>si：表示句子在全文的段落ID；
*<br>rl：表示说话人信息；
*<br>sc：表示句子（1Best）置信度得分；
*<br>bg：表示句子开始，单位ms；
*<br>ed：表示句子结束，单位ms；
*<br>rt：表示句子内容；
*<br>nb：表示句子NBest编号；
*<br>nc：表示此候选句子的置信度；
*<br>ws：表示此候选句子的内容；
*<br>cw：表示一个槽；
*<br>wb：表示该词的起始边界，其单位为ms；
*<br>we：表示该词的结束边界，其单位为ms；
*<br>w：表示一个词；
*<br>wc：表示词置信度得分；
 * </p>
 * 
 * @since version:1073
 * @author <script>gShowAuthor();</script>
 * @see com.iflytek.cloud.SpeechTranscripter
 * @see com.iflytek.cloud.TranscripterListener
 */
public class TranscripterResult {
	
	protected String mResult = null;
	
	/**
	 * <h4>构造函数</h4>
	 * <p>
	 * 		应用层只通过{@link TranscripterListener#onResult}得到结果，
	 * 可忽略此类的构造函数。
	 * </p>
	 * @param text 文本结果
	 */
	public TranscripterResult( final String text ){
		try{
			mResult = new String( text );
		}catch(Exception e){
			DebugLog.LogE( "TranscripterResult exception:");
			DebugLog.LogE(e);
		}
	}
	
	/**
	 * <h4>获取结果字符串</h4>
	 * 
	 * @return 结果文本字符串
	 * @see SpeechTranscripter#startTranscripting
	 * @see TranscripterListener#onResult
	 */
	public String getResultString(){
		return this.mResult;
	}
}
