package com.iflytek.cloud.msc.util;

import android.app.ActivityManager;
import android.app.ActivityManager.MemoryInfo;
import android.content.Context;
import android.os.Environment;
import android.os.StatFs;

/**
 * 存储卡助手类
 */
public class SDCardHelper {

    public static boolean checkSDCardStatus() {
        String sdcardStatus = android.os.Environment.getExternalStorageState();
        return sdcardStatus.equals(android.os.Environment.MEDIA_MOUNTED);
    }
    
    public static String getExternalStorageDirectory() {
    	return Environment.getExternalStorageDirectory().getAbsolutePath();
    }
    
    public static long getAvailableSpace(String file) {
    	StatFs stat = new StatFs(file);

        int blockSize = stat.getBlockSize();
        int availableBlocks = stat.getAvailableBlocks();
        return (blockSize * ((long) availableBlocks - 4));
    }
    
    /**
     * 获取系统可用内存
     * @param context
     * @return
     */
    public static long getAvaliableMemSpace(Context context){
    	ActivityManager mActivityManager=(ActivityManager)context.getSystemService(Context.ACTIVITY_SERVICE);
    	MemoryInfo mMemoryInfo=new MemoryInfo();
    	mActivityManager.getMemoryInfo(mMemoryInfo);
    	return mMemoryInfo.availMem;
    }
    
}
